Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class FindReplaceUtility

    java.lang.Object
      groovy.ui.text.FindReplaceUtility

    public final class FindReplaceUtility
    extends Object

Authors:
  Evan "Hippy" Slatis

Field Summary
`static String` | `CLOSE_ACTION_COMMAND`
`static Action` | `FIND_ACTION`
`static String` | `FIND_ACTION_COMMAND`
`static String` | `REPLACE_ACTION_COMMAND`
`static String` | `REPLACE_ALL_ACTION_COMMAND`

Method Summary
`static void` | `addTextListener(TextListener tl)`
`static void` | `dispose()`
`static String` | `getLastAction()` @return the last action
`static int` | `getReplacementCount()` @return the replacement count
`static String` | `getSearchText()` @return the search text
`static void` | `registerTextComponent(JTextComponent textComponent)` @param textComponent the text component to listen to
`static void` | `removeTextListener(TextListener tl)`
`static void` | `showDialog()`
`static void` | `showDialog(boolean isReplace)` @param isReplace show a replace dialog rather than a find dialog if true
`static void` | `unregisterTextComponent(JTextComponent textComponent)` @param textComponent the text component to stop listening to

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CLOSE_ACTION_COMMAND

    public static final String CLOSE_ACTION_COMMAND

### FIND_ACTION

    public static final Action FIND_ACTION

### FIND_ACTION_COMMAND

    public static final String FIND_ACTION_COMMAND

### REPLACE_ACTION_COMMAND

    public static final String REPLACE_ACTION_COMMAND

### REPLACE_ALL_ACTION_COMMAND

    public static final String REPLACE_ALL_ACTION_COMMAND

Method Detail

### addTextListener

    public static void addTextListener(TextListener tl)

### dispose

    public static void dispose()

### getLastAction

    public static String getLastAction()

  Returns:
    the last action

### getReplacementCount

    public static int getReplacementCount()

  Returns:
    the replacement count

### getSearchText

    public static String getSearchText()

  Returns:
    the search text

### registerTextComponent

    public static void registerTextComponent(JTextComponent textComponent)

  Parameters:
    `textComponent` - the text component to listen to

### removeTextListener

    public static void removeTextListener(TextListener tl)

### showDialog

    public static void showDialog()

### showDialog

    public static void showDialog(boolean isReplace)

  Parameters:
    `isReplace` - show a replace dialog rather than a find dialog if true

### unregisterTextComponent

    public static void unregisterTextComponent(JTextComponent textComponent)

  Parameters:
    `textComponent` - the text component to stop listening to

Copyright © 2003-2010 The Codehaus. All rights reserved.